# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJavaAppletServer Class Reference

Communicates with a KJAS server to display and control Java applets. More...

`#include <kjavaappletserver.h>`

Inheritance diagram for KJavaAppletServer:

[legend]
Collaboration diagram for KJavaAppletServer:

[legend]
List of all members.

## Public Member Functions

| KJavaAppletServer ()
void | createContext (int contextId, KJavaAppletContext *context)
void | destroyContext (int contextId)
bool | createApplet (int contextId, int appletId, const QString &name, const QString &clazzName, const QString &baseURL, const QString &user, const QString &password, const QString &authname, const QString &codeBase, const QString &jarFile, QSize size, const QMap< QString, QString > &params, const QString &windowTitle)
void | initApplet (int contextId, int appletId)
void | destroyApplet (int contextId, int appletId)
void | startApplet (int contextId, int appletId)
void | stopApplet (int contextId, int appletId)
void | sendURLData (int loaderID, int code, const QByteArray &data)
void | removeDataJob (int loaderID)
void | quit ()
KJavaProcess * | javaProcess ()
QString | appletLabel ()
void | waitForReturnData (JSStackFrame *)
void | endWaitForReturnData ()
bool | getMember (QStringList &args, QStringList &ret_args)
bool | putMember (QStringList &args)
bool | callMember (QStringList &args, QStringList &ret_args)
void | derefObject (QStringList &args)
bool | usingKIO ()

## Static Public Member Functions

static KJavaAppletServer * | allocateJavaServer ()
static void | freeJavaServer ()
static QString | getAppletLabel ()

## Protected Slots

void | slotJavaRequest (const QByteArray &qb)
void | checkShutdown ()
void | timerEvent (QTimerEvent *)

## Protected Member Functions

void | setupJava (KJavaProcess *p)

## Protected Attributes

KJavaProcess * | process

## Detailed Description

Communicates with a KJAS server to display and control Java applets.

Author:
  Richard J. Moore, rich@kde.org

Definition at line 42 of file kjavaappletserver.h.

## Constructor & Destructor Documentation

KJavaAppletServer::KJavaAppletServer | ( |  | ) |

| Create the applet server. These shouldn't be used directly, use allocateJavaServer instead Definition at line 133 of file kjavaappletserver.cpp. References QObject::connect(), and KJavaProcess::startJava(). Referenced by allocateJavaServer().

## Member Function Documentation

KJavaAppletServer * KJavaAppletServer::allocateJavaServer | ( |  | ) | `[static]`

| A factory method that returns the default server. This is the way this class is usually instantiated. Definition at line 174 of file kjavaappletserver.cpp. References d, and KJavaAppletServer().

void KJavaAppletServer::freeJavaServer | ( |  | ) | `[static]`

| When you are done using your reference to the AppletServer, you must dereference it by calling freeJavaServer(). Definition at line 186 of file kjavaappletserver.cpp. References KConfigBase::readBoolEntry(), KConfigBase::readNumEntry(), KConfigBase::setGroup(), and QTimer::singleShot().

QString KJavaAppletServer::getAppletLabel | ( |  | ) | `[static]`

| This allows the KJavaAppletWidget to display some feedback in a QLabel while the applet is being loaded. If the java process could not be started, an error message is displayed instead. Definition at line 161 of file kjavaappletserver.cpp.

void KJavaAppletServer::createContext | ( | int | contextId,
|  | KJavaAppletContext * | context
| ) |

| Create an applet context with the specified id. Definition at line 317 of file kjavaappletserver.cpp. References KJavaProcess::send().

void KJavaAppletServer::destroyContext | ( | int | contextId | ) |

| Destroy the applet context with the specified id. All the applets in the context will be destroyed as well. Definition at line 329 of file kjavaappletserver.cpp. References KJavaProcess::send().

bool KJavaAppletServer::createApplet | ( | int | contextId,
|  | int | appletId,
|  | const QString & | name,
|  | const QString & | clazzName,
|  | const QString & | baseURL,
|  | const QString & | user,
|  | const QString & | password,
|  | const QString & | authname,
|  | const QString & | codeBase,
|  | const QString & | jarFile,
|  | QSize | size,
|  | const QMap< QString, QString > & | params,
|  | const QString & | windowTitle
| ) |

| Create an applet in the specified context with the specified id. The applet name, class etc. are specified in the same way as in the HTML APPLET tag. Definition at line 340 of file kjavaappletserver.cpp. References QSize::height(), KJavaProcess::send(), and QSize::width(). Referenced by KJavaAppletContext::create().

void KJavaAppletServer::initApplet | ( | int | contextId,
|  | int | appletId
| ) |

| This should be called by the KJavaAppletWidget. Definition at line 398 of file kjavaappletserver.cpp. References KJavaProcess::send(). Referenced by KJavaAppletContext::init().

void KJavaAppletServer::destroyApplet | ( | int | contextId,
|  | int | appletId
| ) |

| Destroy an applet in the specified context with the specified id. Definition at line 408 of file kjavaappletserver.cpp. References KJavaProcess::send(). Referenced by KJavaAppletContext::destroy().

void KJavaAppletServer::startApplet | ( | int | contextId,
|  | int | appletId
| ) |

| Start the specified applet. Definition at line 418 of file kjavaappletserver.cpp. References KJavaProcess::send(). Referenced by KJavaAppletContext::start().

void KJavaAppletServer::stopApplet | ( | int | contextId,
|  | int | appletId
| ) |

| Stop the specified applet. Definition at line 428 of file kjavaappletserver.cpp. References KJavaProcess::send(). Referenced by KJavaAppletContext::stop().

void KJavaAppletServer::sendURLData | ( | int | loaderID,
|  | int | code,
|  | const QByteArray & | data
| ) |

| Send data we got back from a KJavaDownloader back to the appropriate class loader. Definition at line 438 of file kjavaappletserver.cpp. References KJavaProcess::send().

void KJavaAppletServer::removeDataJob | ( | int | loaderID | ) |

| Removes KJavaDownloader from the list (deletes it too). Definition at line 447 of file kjavaappletserver.cpp. References QObject::deleteLater().

void KJavaAppletServer::quit | ( |  | ) |

| Shut down the KJAS server. Definition at line 456 of file kjavaappletserver.cpp. References KJavaProcess::flushBuffers(), KJavaProcess::send(), and KProcess::wait().

The documentation for this class was generated from the following files:

- kjavaappletserver.h
- kjavaappletserver.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003